<div style="position: absolute;width:99%;padding-bottom: 50px" (mouseup)="draggingManager.endDrag($event);stopResizing($event)" (mousemove)="draggingManager.checkDragging($event);resize($event)">
    <div *ngIf="!start" class="name-container">
        <div><img src="assets/zakhin_transp.png" width="400px" style="filter: drop-shadow(5px 13px 6px #000);" /></div><br><br>
        <span style="opacity:0.9;font-family: 'Macondo Swash Caps', cursive;font-size: 28px;text-shadow:0px 1px 1px rgba(0, 0, 0, 1), 0px 1px 1px rgba(0, 0, 0, 1);cursor:default;color:#bbb">Enter your name</span><br><br>
        <input #name class="name" type="text" value="Hagar" maxlength="10" />
        <br><br>
        <button (click)="enterName()" (mouseover)="overIn.play()" (mouseout)="overOut.play()" class="btn-login">START</button>
    </div>
    <main *ngIf="start" class="divGame" [ngStyle]="{'width':canvasWidth + 230 + 'px'}">
        <section style="position: relative;background-color: black" [ngStyle]="{'width':canvasWidth + 'px'}">
            <canvas let #gamecanvas  class="myCanvas"  [attr.width]="canvasWidth" [attr.height]="canvasHeight" [ngStyle]="{filter: getGameFilter()}" tabindex="1"></canvas>
            <canvas let #gamecanvas2 class="myCanvas2" [attr.width]="canvasWidth" [attr.height]="canvasHeight" [ngStyle]="{filter: getGameFilter()}"></canvas> 
            <div style="width: 100%;height: 6px;border-top: 3px solid #898989;border-bottom: 3px solid #666666;cursor: n-resize;margin-top: -2px;margin-bottom: 2px;" (mousedown)="startResizing($event)">&nbsp;</div>
            <!-- over canvas -->
            <div style="text-align: center"><img src="assets/zakhin_transp.png" width="250px" class="img-logo-ingame" /></div>
            <div class="fps-monitor" *ngIf="game">{{getDayTime()}} GTIME<br>{{game?.fps.real}} FPS-RL<br>{{ game?.fps.avg }} FPS-AV<br>0 MS</div>
            <app-message-history [game]="game" *ngIf="game?.running && game.messageHistoryLast + 5000 > game.frame.time" [@conditionAnimation]="'in'" style="position: absolute;bottom: 16px;left: 12px;pointer-events: none;"></app-message-history>
            <app-condition-bar [player]="game?.player" style="position: absolute;bottom: 20px;right: 12px;"></app-condition-bar>
            <div class="volume-container">
                <span style="display: inline-block; width: 31px" *ngIf="audioManager.globalVolume < 0.1">🔈</span>
                <span style="display: inline-block; width: 31px" *ngIf="audioManager.globalVolume >= 0.1 && audioManager.globalVolume <= 0.5">🔉</span>
                <span style="display: inline-block; width: 31px" *ngIf="audioManager.globalVolume > 0.5">🔊</span>
                <input style="cursor:pointer" type="range" min="0" max="1" value="0.5" step="0.01" [(ngModel)]="audioManager.globalVolume" #ref (change)="volumeChange(ref.value)">
            </div>
            <!-- right side -->
            <app-status-bar [player]="game?.player"></app-status-bar>
            <app-equipment [game]="game"></app-equipment>
            <app-skills-bar [player]="game?.player"></app-skills-bar>
            <app-inventory [game]="game"></app-inventory>
            <!-- resolution changer (temp)-->
            <!-- <div style="position: fixed;top:24px;left:24px">
                <input style="cursor:pointer;width:250px" type="range" min="2" max="5" value="3" step="0.01" #ref1  [(ngModel)]="resolutionScale" (ngModelChange)="resolutionChange(ref1.value)">
            </div>         -->
        </section>
        <!-- on other parts -->       
        <div [ngStyle]="{'width':canvasWidth + 'px'}">
            <app-action-bar [player]="game?.player" [huds]="huds"></app-action-bar>
        </div>
        <div class="message-holder" style="display: none">
            <input id="message" name="message" type="text">
            <button id="btn-send">&#8658;</button>
        </div>           
        <app-performance-monitor *ngIf="huds.performance" [game]="game"></app-performance-monitor>

        <!-- left side -->
        <app-map-editor-side-bar *ngIf="huds.mapeditor" [game]="game" [@dialogAnimation]="'in'"></app-map-editor-side-bar>
        <app-npc-dialog *ngIf="hasDialogNPC()" [game]="game" [@dialogAnimation]="'in'"></app-npc-dialog>
        <app-respawn-dialog *ngIf="game?.player?.alive == false" [game]="game" [@dialogAnimation]="'in'"></app-respawn-dialog>
        <app-loot-dialog *ngIf="game?.player?.openedContainer" [game]="game" [@dialogAnimation]="'in'"></app-loot-dialog>
        <div class="moving-item__img" [ngStyle]="{background:getMovingItemSprite(), top: mousePos.y + 'px', left: mousePos.x + 'px'}" *ngIf="game?.player?.movingItem"></div>
    </main>
</div>
